import '/shared/icon_from_table.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { SecurityChipState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
export interface LocationIconElement {
    $: {
        container: HTMLButtonElement;
    };
}
export declare class LocationIconElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        state: {
            type: ObjectConstructor;
        };
        clickable: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        isDangerous: {
            type: BooleanConstructor;
            reflect: boolean;
            attribute: string;
        };
        hasText: {
            type: BooleanConstructor;
            reflect: boolean;
            attribute: string;
        };
        isTextDangerous: {
            type: BooleanConstructor;
            reflect: boolean;
            attribute: string;
        };
    };
    accessor state: SecurityChipState;
    accessor clickable: boolean;
    accessor isDangerous: boolean;
    accessor hasText: boolean;
    accessor isTextDangerous: boolean;
    private dragStartX_;
    private dragStartY_;
    private isDragging_;
    private activePointerId_;
    private eventTracker_;
    private trackedElementManager_;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    willUpdate(changedProperties: PropertyValues<this>): void;
    protected onPointerdown_(e: PointerEvent): void;
    protected onContainerPointerMove_(e: PointerEvent): void;
    protected onContainerPointerUp_(): void;
    protected onContainerPointerCancel_(): void;
    protected onContainerLostPointerCapture_(): void;
    private finishDrag_;
    protected onClick_(e: PointerEvent): void;
    protected onContextmenu_(e: PointerEvent): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'location-icon': LocationIconElement;
    }
}
